----------------------------------------------------------------------------------
-- Company: www.ghadeer.net
-- Engineer: Ghassan Bati
-- 
-- Create Date:    22:00:21 11/26/2007 
-- Module Name:    FullAdder - Behavioral
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity FullAdder is
    Port ( a : in  STD_LOGIC;
           b : in  STD_LOGIC;
           Cin : in  STD_LOGIC;
           S : out  STD_LOGIC;
           Cout : out  STD_LOGIC);
end FullAdder;

architecture Behavioral of FullAdder is

begin
		s <= cin xor (a xor b);
	   Cout <= (a and b) or (a and Cin) or (b and Cin);

end Behavioral;